PUT V1/GHG.{ext}/Configuration?configurationId={configurationId}

To update Configuration

Request Information

URI Parameters

NameDescriptionTypeAdditional information
configurationId

ConfigurationId

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

Configuration Object

EMS.GHG.Entities.Configuration
NameDescriptionTypeAdditional information
ConfigurationId

No description available

integer

None.

CommodityId

No description available

integer

None.

CommodityName

No description available

string

None.

EmissionSource

No description available

string

None.

UOMId

No description available

integer

None.

UOM

No description available

string

None.

CO2eqUOMId

No description available

integer

None.

CO2eqUOM

No description available

string

None.

AsssetCategoryList

No description available

Collection of EMS.GHG.Entities.AsssetCategory

None.

Request Formats

application/json, text/json

Sample:
{
  "configurationId": 1,
  "commodityId": 1,
  "commodityName": "sample string 1",
  "emissionSource": "sample string 2",
  "uomId": 1,
  "uom": "sample string 3",
  "cO2eqUOMId": 1,
  "cO2eqUOM": "sample string 4",
  "asssetCategoryList": [
    {
      "assetCategoryId": 1,
      "assetCategoryName": "sample string 1",
      "assetCategoryCode": "sample string 2",
      "utilityTypeCode": "sample string 3",
      "utilityTypeId": 1
    },
    {
      "assetCategoryId": 1,
      "assetCategoryName": "sample string 1",
      "assetCategoryCode": "sample string 2",
      "utilityTypeCode": "sample string 3",
      "utilityTypeId": 1
    }
  ]
}

application/xml, text/xml

Sample:
<Configuration xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.GHG.Entities">
  <AsssetCategoryList>
    <AsssetCategory>
      <AssetCategoryCode>sample string 2</AssetCategoryCode>
      <AssetCategoryId>1</AssetCategoryId>
      <AssetCategoryName>sample string 1</AssetCategoryName>
      <UtilityTypeCode>sample string 3</UtilityTypeCode>
      <UtilityTypeId>1</UtilityTypeId>
    </AsssetCategory>
    <AsssetCategory>
      <AssetCategoryCode>sample string 2</AssetCategoryCode>
      <AssetCategoryId>1</AssetCategoryId>
      <AssetCategoryName>sample string 1</AssetCategoryName>
      <UtilityTypeCode>sample string 3</UtilityTypeCode>
      <UtilityTypeId>1</UtilityTypeId>
    </AsssetCategory>
  </AsssetCategoryList>
  <CO2eqUOM>sample string 4</CO2eqUOM>
  <CO2eqUOMId>1</CO2eqUOMId>
  <CommodityId>1</CommodityId>
  <CommodityName>sample string 1</CommodityName>
  <ConfigurationId>1</ConfigurationId>
  <EmissionSource>sample string 2</EmissionSource>
  <UOM>sample string 3</UOM>
  <UOMId>1</UOMId>
</Configuration>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.